org.modeshape.webdav.methods

## Class DoMove

- java.lang.Object
- - org.modeshape.webdav.methods.AbstractMethod
  - - org.modeshape.webdav.methods.DoMove

- All Implemented Interfaces:
    IMethodExecutor

      public class DoMove
      extends AbstractMethod

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.webdav.methods.AbstractMethod

      `BUF_SIZE, CREATION_DATE_FORMAT, DEFAULT_TIMEOUT, INFINITY, LAST_MODIFIED_DATE_FORMAT, LOCAL_DATE_FORMAT, MAX_TIMEOUT, TEMP_TIMEOUT, TEMPORARY, URL_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoMove(ResourceLocks resourceLocks, DoDelete doDelete, DoCopy doCopy, boolean readOnly)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(ITransaction transaction, HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.modeshape.webdav.methods.AbstractMethod

      `creationDateFormat, getCleanPath, getDepth, getDocumentBuilder, getETag, getLocalDateFormat, getLockIdFromIfHeader, getLockIdFromLockTokenHeader, getParentPath, getRelativePath, isUnlocked, lastModifiedDateFormat, rewriteUrl, sendReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoMove

          public DoMove(ResourceLocks resourceLocks,
                DoDelete doDelete,
                DoCopy doCopy,
                boolean readOnly)

  - ### Method Detail

    - #### execute

          public void execute(ITransaction transaction,
                     HttpServletRequest req,
                     HttpServletResponse resp)
                       throws IOException,
                              LockFailedException

      Throws:
        `IOException`
        `LockFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.